using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using BeyondBasicUnitTesting.Business;

namespace BeyondBasicUnitTesting.WinUI.After
{
    public class BaseForm : Form
    {
        public BaseForm()
        {

        }

        private IPersonPresenter m_presenter;
        public IPersonPresenter PersonPresenterInstance
        {
            get
            {
                if (m_presenter == null)
                {
                    m_presenter = new PersonPresenter(
                        DemoSession.GetCurrent().LoggerInstance,
                        DemoSession.GetCurrent().PersonRepositoryInstance);
                }
                return m_presenter;
            }
        }
    }
}
